## alkimia 7.0.2

=== CMakeLists.txt ===
# The CMake version we require (must be first)
cmake_minimum_required(VERSION 3.0.2)

project(alkimia VERSION 7.0.2)

find_package(ECM 0.0.11 REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)

# check for PkgConfig, Qt and MPIR/GMP
find_package(PkgConfig)
if(BUILD_QT4)
    find_package(Qt4 REQUIRED COMPONENTS QtCore QtDBus QtTest)
    set(QT_USE_LIBSPREFIX Qt4::Qt)
    set(ALKIMIA_LIB_SUFFIX "")
    set(ALKIMIA_INCLUDE_SUFFIX "Qt4")
    set(ALKIMIA_PATH_SUFFIX)
    set(PC_TARGET_QTPREFIX Qt)
    set(PC_TARGET_SUFFIX)
else()
    find_package(Qt5 REQUIRED COMPONENTS Core DBus Test)
    set(QT_USE_LIBSPREFIX Qt5::)
    set(ALKIMIA_LIB_SUFFIX "5")
    set(ALKIMIA_INCLUDE_SUFFIX "Qt5")
    set(ALKIMIA_PATH_SUFFIX 5)
    set(PC_TARGET_QTPREFIX Qt5)
    set(PC_TARGET_SUFFIX 5)
endif()

# figure out which multi-precision library to use
# MPIR is preferred over GMP
find_package(MPIR)
if(MPIR_FOUND)
  set(MP_INCLUDE_DIR ${MPIR_INCLUDE_DIR})
  set(MP_LIBRARIES ${MPIR_LIBRARIES})
  set(MP_HEADER mpirxx.h)
  set(MP_CMAKE_MODULE "MPIR")
  set(PC_LIB mpir)
else()
  find_package(GMP REQUIRED)
  set(MP_INCLUDE_DIR ${GMP_INCLUDE_DIR})
  set(MP_LIBRARIES ${GMP_LIBRARIES})
  set(MP_HEADER gmpxx.h)
  set(MP_CMAKE_MODULE "GMP")
  set(PC_LIB gmp)
endif()

# check for Doxygen (for API documentation)
find_package(Doxygen)

feature_summary(WHAT ALL)

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
include_directories(${MP_INCLUDE_DIR})

add_subdirectory(src)
add_subdirectory(autotests)

=== autotests/CMakeLists.txt ===
include(ECMAddTests)

if(BUILD_QT4)
    set(TEST_LIB ${QT_QTTEST_LIBRARY})
else()
    set(TEST_LIB Qt5::Test)
endif()

ecm_add_tests(
    alkvaluetest.cpp
    alkquoteitemtest.cpp
    alkcompanytest.cpp
  LINK_LIBRARIES
    alkimia ${TEST_LIB}
)

=== src/CMakeLists.txt ===
include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)

set(ALKIMIA_LIB_VERSION ${alkimia_VERSION})
set(ALKIMIA_LIB_SOVERSION "${alkimia_VERSION_MAJOR}")

set(alkimia_LIB_SRCS
  alkvalue.cpp
  alkquoteitem.cpp
  alkcompany.cpp
  )

set(alkimia_HEADERS
  ${CMAKE_CURRENT_BINARY_DIR}/alkvalue.h
  alkquoteitem.h
  alkcompany.h
  ${CMAKE_CURRENT_BINARY_DIR}/alk_export.h
  )

add_library(alkimia SHARED ${alkimia_LIB_SRCS})

kde_target_enable_exceptions(alkimia PUBLIC)

target_link_libraries(alkimia PUBLIC ${QT_USE_LIBSPREFIX}Core ${QT_USE_LIBSPREFIX}DBus ${MP_LIBRARIES})
generate_export_header(alkimia BASE_NAME alk)

if(WIN32)
    set_target_properties(alkimia PROPERTIES SUFFIX "${ALKIMIA_LIB_SOVERSION}${CMAKE_SHARED_LIBRARY_SUFFIX}")
else()
    set_target_properties(alkimia PROPERTIES VERSION ${ALKIMIA_LIB_VERSION} SOVERSION ${ALKIMIA_LIB_SOVERSION})
endif()
set_target_properties(alkimia PROPERTIES OUTPUT_NAME alkimia${ALKIMIA_LIB_SUFFIX})
set(INCLUDE_INSTALL_DIR include/alkimia/${ALKIMIA_INCLUDE_SUFFIX})

if (NOT WIN32)
   configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libalkimia.pc.in ${CMAKE_CURRENT_BINARY_DIR}/libalkimia${ALKIMIA_PATH_SUFFIX}.pc IMMEDIATE @ONLY)
endif(NOT WIN32)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/alkvalue.h.in ${CMAKE_CURRENT_BINARY_DIR}/alkvalue.h IMMEDIATE)

########### create package configuration file ###########

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/LibAlkimia${ALKIMIA_PATH_SUFFIX}-${alkimia_VERSION_MAJOR}.${alkimia_VERSION_MINOR}")

ecm_setup_version(${alkimia_VERSION} VARIABLE_PREFIX ALKIMIA
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/LibAlkimia${ALKIMIA_PATH_SUFFIX}ConfigVersion.cmake"
  COMPATIBILITY SameMajorVersion
)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/LibAlkimiaConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/LibAlkimia${ALKIMIA_PATH_SUFFIX}Config.cmake"
  INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
  PATH_VARS INCLUDE_INSTALL_DIR
)

########### install files ###############

install(TARGETS alkimia
        EXPORT  alkimiaTargets
        ${INSTALL_TARGETS_DEFAULT_ARGS}
        )

export(TARGETS alkimia
       FILE "${CMAKE_CURRENT_BINARY_DIR}/LibAlkimia${ALKIMIA_PATH_SUFFIX}Targets.cmake"
       NAMESPACE Alkimia::
      )

install(EXPORT alkimiaTargets
        FILE LibAlkimia${ALKIMIA_PATH_SUFFIX}Targets.cmake
        NAMESPACE Alkimia::
        DESTINATION ${CMAKECONFIG_INSTALL_DIR}
       )

install(FILES ${alkimia_HEADERS}
        DESTINATION ${INCLUDE_INSTALL_DIR}/alkimia
        COMPONENT Devel)

install(FILES
          "${CMAKE_CURRENT_BINARY_DIR}/LibAlkimia${ALKIMIA_PATH_SUFFIX}Config.cmake"
          "${CMAKE_CURRENT_BINARY_DIR}/LibAlkimia${ALKIMIA_PATH_SUFFIX}ConfigVersion.cmake"
          "../cmake/modules/Find${MP_CMAKE_MODULE}.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

if (NOT WIN32)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libalkimia${ALKIMIA_PATH_SUFFIX}.pc
          DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
endif(NOT WIN32)

########### documentation ###################

if(DOXYGEN_FOUND)
  set(APIDOC_DIR ${CMAKE_CURRENT_BINARY_DIR}/apidocs)

  make_directory(${APIDOC_DIR})

  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libalkimia.doxygen.in ${CMAKE_CURRENT_BINARY_DIR}/libalkimia.doxygen IMMEDIATE)

  add_custom_target(libalkimia_apidoc ${DOXYGEN} ${CMAKE_CURRENT_BINARY_DIR}/libalkimia.doxygen)
endif(DOXYGEN_FOUND)

## alkimia 7.0.1

=== debian/changelog ===
alkimia (7.0.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Do not look for MPIR, since we use GMP (and switching would change ABI)
    - pass -DCMAKE_DISABLE_FIND_PACKAGE_MPIR=OFF to cmake

 -- Pino Toscano <pino@debian.org>  Fri, 16 Mar 2018 16:25:25 +0100

alkimia (7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release: (see #887310)
    - switches to Qt 5 (see #875008)
  * Update watch file, also switching it to https.
  * Update the build dependencies following the port to Qt 5:
    - remove kdelibs5-dev
    - add extra-cmake-modules, and qtbase5-dev
  * Rename libalkimia5 to libalkimia5-7 according to the new SONAME.
  * Rename libalkimia-dev to libalkimia5-dev, as it better represents the
    library name.
  * Update the patches:
    - upstream_Fix-AlkValue-operator-QString-w-valueRef.patch: backported from
      upstream
  * Update install files.
  * Mark libalkimia5-7, and libalkimia5-dev as Multi-Arch: same.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Remove trailing whitespaces in changelog.
  * Drop the pre-Jessie breaks/replaces.
  * Rename the source from libalkimia to alkimia, to match the new upstream
    name.
  * Add the qtbase5-dev, and libgmp-dev dependencies in libalkimia5-dev, as
    they are used by the public API.
  * Add a symbols file for libalkimia5-7.
  * Bump the debhelper compat to 11:
    - bump compat to 11
    - bump the debhelper build dependency to 11
    - remove --parallel to dh

 -- Pino Toscano <pino@debian.org>  Wed, 07 Feb 2018 21:49:52 +0100

libalkimia (5.0.0-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Sat, 25 Jun 2016 09:40:34 +0200

libalkimia (5.0.0-2) experimental; urgency=medium

  * Team upload.
  * Backport upstream commit 2e6172a7d723d53ff62fc3eaf2ea7208db0fd0a7 to fix
    AlkValue::operator=(QString); patch
    upstream_Fix-AlkValue-operator-QString-w-valueRef.patch.
  * Update copyright; thanks Scott Kitterman for the notice!

 -- Pino Toscano <pino@debian.org>  Mon, 20 Jun 2016 23:18:52 +0200

libalkimia (5.0.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove extra ${shlibs:Depends} from libalkimia-dev.
  * Do not disable the tests.
  * Update watch file.
  * Rename libalkimia4 to libalkimia5 according to the new SONAME.
  * Update install files.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Update Vcs-Browser field.

 -- Pino Toscano <pino@debian.org>  Sun, 19 Jun 2016 10:34:23 +0200

libalkimia (4.3.2-2) unstable; urgency=medium

  * Team upload.
  * Bump debhelper compatibility to 9:
    - bump the debhelper build dependency to >= 9
    - bump compat to 9
  * Add Vcs-Browser and Vcs-Svn headers.
  * Bump the priority of libalkimia-dev to optional.
  * Bump Standards-Version to 3.9.5, no changes required.
  * Switch the libgmp3-dev build dependency (transitional) to libgmp-dev.
  * Enable the parallel build.
  * Make the .install files a bit more specific, and sort them.
  * Move all the development files (cmake and pkg-config) from libalkimia4
    to libalkimia-dev; add proper breaks/replaces for this.
  * Switch section of libalkimia4 to libs.

 -- Pino Toscano <pino@debian.org>  Sat, 13 Sep 2014 19:33:48 +0200

libalkimia (4.3.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbs missing dependency on pkg-config": add it.
    (Closes: #674212)

 -- gregor herrmann <gregoa@debian.org>  Sun, 10 Jun 2012 15:38:21 +0200

libalkimia (4.3.2-1) unstable; urgency=low

  * New upstream release
  * Added debian/watch
  * Swap -dev Priority: - package-depends-on-lower-priority-package

 -- Mark Purcell <msp@debian.org>  Sat, 11 Feb 2012 12:57:53 +1100

libalkimia (4.3.1-1) unstable; urgency=low

  * Initial Debian Release (Closes: #644122)

 -- Mark Purcell <msp@debian.org>  Mon, 03 Oct 2011 12:16:22 +1100

libalkimia (4.3.1-0ubuntu1~ppa5) lucid; urgency=low

  * Lucid build.

 -- Clay Weber <claydoh@claydoh.com>  Sat, 13 Aug 2011 17:14:46 -0400

libalkimia (4.3.1-0ubuntu1~ppa4) maverick; urgency=low

  * Maverick build

 -- Clay Weber <claydoh@claydoh.com>  Sat, 13 Aug 2011 17:11:50 -0400

libalkimia (4.3.1-0ubuntu1~ppa3) natty; urgency=low

  * Version bump, no changes.

 -- Clay Weber <claydoh@claydoh.com>  Sat, 13 Aug 2011 16:28:46 -0400

libalkimia (4.3.1-0ubuntu1~ppa1) natty; urgency=low

  * Initial packaging

 -- Clay Weber <claydoh@claydoh.com>  Sat, 13 Aug 2011 11:37:54 -0400

=== debian/control ===
Source: alkimia
Section: libs
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Clay Weber <claydoh@claydoh.com>
Build-Depends: debhelper (>= 11), pkg-kde-tools (>= 0.5.0), cmake,
 extra-cmake-modules,
 qtbase5-dev,
 libgmp-dev, pkg-config,
Standards-Version: 4.1.3
Homepage: http://kde-apps.org/content/show.php?content=137323
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/libalkimia/trunk/
Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/libalkimia/trunk

Package: libalkimia5-7
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Financial library common classes for KDE SC
 Libalkimia is a library with common classes and functionality used by
 finance applications for the KDE SC. Currently it supports a common
 class to represent monetary values with arbitrary precision.

Package: libalkimia5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libalkimia5-7 (= ${binary:Version}),
 qtbase5-dev,
 libgmp-dev,
Description: Financial library - Development files
 Libalkimia is a library with common classes and functionality used by
 finance applications for the KDE SC. Currently it supports a common
 class to represent monetary values with arbitrary precision.
 .
 This package contains development files needed for Libalkimia.

=== debian/watch ===
version=4

https://download.kde.org/stable/alkimia/([\d\.]+)/src/alkimia-([\d\.]+)\.tar\.xz

## alkimia 7.0.2

=== debian/changelog ===
alkimia (7.0.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update path in watch file.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Remove Clay Weber from Uploaders, since he did no changes since the import
    in Debian.

 -- Pino Toscano <pino@debian.org>  Sat, 14 Apr 2018 18:54:44 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: libs
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Mark Purcell <msp@debian.org>, Clay Weber <claydoh@claydoh.com>
+Uploaders: Mark Purcell <msp@debian.org>,
 Build-Depends: debhelper (>= 11), pkg-kde-tools (>= 0.5.0), cmake,
  extra-cmake-modules,
  qtbase5-dev,
  libgmp-dev, pkg-config,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://kde-apps.org/content/show.php?content=137323
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/libalkimia/trunk/
 Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/libalkimia/trunk

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_DISABLE_FIND_PACKAGE_MPIR=OFF

=== debian/watch ===
version=4

https://download.kde.org/stable/alkimia/([\d\.]+)/alkimia-([\d\.]+)\.tar\.xz

## alkimia 8.1.0

=== debian/changelog ===
alkimia (8.1.0-1) experimental; urgency=medium

  * Team upload.

  [ Daniele E. Domenichelli ]
  * New upstream release.
  * Rename libalkimia5-7 to libalkimia5-8 according to the new SONAME.
  * Update symbols file for libalkimia5-8.
  * Disable the tests, since they fail when run without X11.

  [ Sandro Knauß ]
  * Update build-deps and deps with the info from cmake.
  * Update standards version to 4.6.0, no changes needed.
  * Update symbols from build for 8.1.0.
  * Check tarball signatures.
  * Update homepage field.
  * Add needed Build-Dependencies to run tests successfully.
  * Enable hardening.
  * Add buildinfo options.
  * Split package to own packages (qml and plasmoid).
  * Add upstream metadata file.
  * Add Rules-Requirs-Root.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.5.1, no changes needed.

 -- Sandro Knauß <hefee@debian.org>  Mon, 21 Mar 2022 18:02:48 +0100

alkimia (7.0.2-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump Standards-Version to 4.3.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 29 Jan 2019 06:10:42 +0100

=== debian/control ===
Source: alkimia
Section: libs
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>
Build-Depends: cmake (>= 3.0.2~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 0.0.11~),
               libgmp-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5kio-dev,
               libkf5newstuff-dev,
               libkf5package-dev,
               libkf5plasma-dev,
               libkf5textwidgets-dev,
               libkf5xmlgui-dev,
               pkg-config,
               pkg-kde-tools (>= 0.5.0),
               qtbase5-dev,
               qtdeclarative5-dev,
               libqt5webkit5-dev,
               xauth,
               xvfb
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/office/alkimia
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/alkimia
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/alkimia.git
Rules-Requires-Root: no

Package: alkimia-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Financial library - binaries
 Libalkimia is a library with common classes and functionality used by
 finance applications for KDE. Currently it supports a common
 class to represent monetary values with arbitrary precision.
 .
 Commandline binaries for the library.

Package: alkimia-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Financial library - data files
 Libalkimia is a library with common classes and functionality used by
 finance applications for KDE. Currently it supports a common
 class to represent monetary values with arbitrary precision.
 .
 Support files for the library.

Package: libalkimia5-8
Architecture: any
Multi-Arch: same
Depends: alkimia-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: alkimia-bin
Description: Financial library common classes for KDE
 Libalkimia is a library with common classes and functionality used by
 finance applications for KDE. Currently it supports a common
 class to represent monetary values with arbitrary precision.

Package: libalkimia5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libalkimia5-8 (= ${binary:Version}),
         libgmp-dev,
         qtbase5-dev,
         ${misc:Depends}
Description: Financial library - Development files
 Libalkimia is a library with common classes and functionality used by
 finance applications for KDE. Currently it supports a common
 class to represent monetary values with arbitrary precision.
 .
 This package contains development files needed for Libalkimia.

Package: plasma-widget-foreigncurrencies
Architecture: all
Multi-Arch: foreign
Depends: plasma-desktop,
         qml-module-org-kde-alkimia (>= ${source:Version}),
         qml-module-qtquick-controls,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Financial library - Currency Plasmoid
 Libalkimia is a library with common classes and functionality used by
 finance applications for KDE. Currently it supports a common
 class to represent monetary values with arbitrary precision.
 .
 Plasma Widget for foreign currencies.

Package: qml-module-org-kde-alkimia
Architecture: any
Multi-Arch: same
Depends: libalkimia5-8 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Financial library - QML Module
 Libalkimia is a library with common classes and functionality used by
 finance applications for KDE. Currently it supports a common
 class to represent monetary values with arbitrary precision.
 .
 This package contains the files for using Alkimia with QML.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all buildinfo=+path
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_DISABLE_FIND_PACKAGE_MPIR=OFF

override_dh_auto_test:
	xvfb-run dh_auto_test --no-parallel

## alkimia 8.1.1

=== CMakeLists.txt ===
# The CMake version we require (must be first)
cmake_minimum_required(VERSION 3.0.2)
if(POLICY CMP0071)
    cmake_policy(SET CMP0071 NEW)
endif()

project(alkimia VERSION 8.1.1)

option(BUILD_QT4 "Build for Qt4" OFF)
option(BUILD_DOXYGEN_DOCS "Build api docs" ON)
option(BUILD_TOOLS "Build tools" ON)
option(BUILD_WITH_QTNETWORK "Build with Qt Network library for downloading" WIN32)
option(BUILD_WITH_WEBKIT "Build with Qt Web Kit library" OFF)
option(BUILD_SHARED_LIBS "Build shared libraries" ON)

# No Plasma on Windows, so no applets
include(CMakeDependentOption)
cmake_dependent_option(BUILD_APPLETS "Build plasma applets" ON "NOT WIN32" OFF)

if(WIN32)
    set(ENABLE_FINANCEQUOTE_DEFAULT 0)
else()
    set(ENABLE_FINANCEQUOTE_DEFAULT 1)
endif()
option(ENABLE_FINANCEQUOTE "Enable finance quote support (requires perl)" ENABLE_FINANCEQUOTE_DEFAULT)
if(ENABLE_FINANCEQUOTE)
    add_definitions(-DENABLE_FINANCEQUOTE)
    set(PACKAGE_COMPILE_OPTIONS "-DHAVE_ALK_FINANCEQUOTE")
endif()

find_package(ECM 0.0.11 REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
include(Macros)

include(ECMAddAppIcon)
include(ECMInstallIcons)
include(KDEInstallDirs)
# disable KDE provided appstreamtest which does not have required DESTDIR support
set(KDE_SKIP_TEST_SETTINGS TRUE)
if(NOT BUILD_QT4)
    option(BUILD_TESTING "Build the testing tree." ON)
    if(BUILD_TESTING)
         enable_testing()
    endif()
endif()
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)

# check for PkgConfig, Qt and MPIR/GMP
find_package(PkgConfig)
if(BUILD_QT4)
    set(QT_USE_LIBSPREFIX Qt4::Qt)
    set(ALKIMIA_LIB_SUFFIX "")
    set(ALKIMIA_INCLUDE_SUFFIX "Qt4")
    set(ALKIMIA_PATH_SUFFIX)
    set(PC_TARGET_QTPREFIX Qt)
    set(PC_TARGET_SUFFIX)

    if(BUILD_WITH_WEBKIT)
        add_definitions(-DBUILD_WITH_WEBKIT)
        set(QT_BROWSER_COMPONENT QtWebKit)
        set(QT_BROWSER_LIB ${QT_USE_LIBSPREFIX}WebKit)
        feature_notes(TRUE TRUE TRUE TRUE)
    else()
        feature_notes(FALSE TRUE FALSE FALSE)
    endif()

    if(BUILD_WITH_QTNETWORK)
        add_definitions(-DBUILD_WITH_QTNETWORK)
        set(QT_NETWORK_COMPONENT QtNetwork)
        set(QT_NETWORK_LIB ${QT_USE_LIBSPREFIX}Network)
    else()
        set(QT_NETWORK_COMPONENT)
    endif()

    find_package(Qt4 REQUIRED COMPONENTS QtCore QtGui QtDBus ${QT_NETWORK_COMPONENT} QtTest ${QT_BROWSER_COMPONENT} QtDeclarative)
    set(_kde4_uninstall_rule_created 1)
    find_package(KDE4 REQUIRED)
    if(NOT BUILD_WITH_QTNETWORK)
        set(KDE_NETWORK_LIBS ${KDE4_KIO_LIBS})
    endif()
    include(KDE4Defaults)
    include_directories(${KDE4_INCLUDES})
    macro(ki18n_wrap_ui)
        kde4_add_ui_files(${ARGN})
    endmacro(ki18n_wrap_ui)
    macro(kconfig_add_kcfg_files)
        kde4_add_kcfg_files(${ARGN})
    endmacro(kconfig_add_kcfg_files)
    macro(ecm_add_executable)
        kde4_add_executable(${ARGN})
    endmacro(ecm_add_executable)

    macro(ecm_mark_nongui_executable)
        foreach(_target ${ARGN})
            set_target_properties(${_target}
                                  PROPERTIES
                                  WIN32_EXECUTABLE FALSE
                                  MACOSX_BUNDLE FALSE
                                 )
        endforeach()
    endmacro(ecm_mark_nongui_executable)

    macro(ecm_install_icons)
        kde4_install_icons(${ICON_INSTALL_DIR})
    endmacro()

    add_definitions(-DQStringLiteral=QLatin1String)
    if(NOT SHARE_INSTALL_DIR)
        set(SHARE_INSTALL_DIR ${DATA_INSTALL_DIR})
    endif()
else()
    set(QT_USE_LIBSPREFIX Qt5::)
    set(ALKIMIA_LIB_SUFFIX "5")
    set(ALKIMIA_INCLUDE_SUFFIX "Qt5")
    set(ALKIMIA_PATH_SUFFIX 5)
    set(PC_TARGET_QTPREFIX Qt5)
    set(PC_TARGET_SUFFIX 5)

    find_package(Qt5WebEngineWidgets 5.9.3)

    option(BUILD_WITH_WEBENGINE "Build with Qt Web Engine (experimental)" ${Qt5WebEngineWidgets_FOUND})
    if (BUILD_WITH_WEBENGINE)
        add_definitions(-DBUILD_WITH_WEBENGINE)
        set(QT_BROWSER_COMPONENT WebEngineWidgets)
        feature_notes(FALSE TRUE FALSE FALSE)
    elseif(BUILD_WITH_WEBKIT)
        add_definitions(-DBUILD_WITH_WEBKIT)
        set(QT_BROWSER_COMPONENT WebKitWidgets)
        feature_notes(TRUE TRUE TRUE TRUE)
    else()
        set(QT_BROWSER_COMPONENT Widgets)
        feature_notes(FALSE TRUE FALSE FALSE)
    endif()
    set(QT_BROWSER_LIB ${QT_USE_LIBSPREFIX}${QT_BROWSER_COMPONENT})
    if(BUILD_WITH_QTNETWORK)
        add_definitions(-DBUILD_WITH_QTNETWORK)
        set(QT_NETWORK_COMPONENT Network)
        set(KDE_NETWORK_COMPONENT)
        set(KDE_NETWORK_LIBS)
    else()
        set(QT_NETWORK_COMPONENT)
        set(KDE_NETWORK_COMPONENT KIO)
        set(KDE_NETWORK_LIBS KF5::KIOCore KF5::KIOWidgets)
    endif()
    set(QT_NETWORK_LIB ${QT_USE_LIBSPREFIX}${QT_NETWORK_COMPONENT})

    find_package(Qt5 REQUIRED COMPONENTS
        Core
        ${QT_NETWORK_COMPONENT}
        Test
        ${QT_BROWSER_COMPONENT}
        Qml
    )

    if(BUILD_APPLETS)
        set(PLASMA_COMPONENT Package Plasma)
    endif()

    # search packages used by KDE
    find_package(KF5 REQUIRED COMPONENTS
        Config
        CoreAddons
        Completion
        I18n
        ${PLASMA_COMPONENT}
        NewStuff
        ${KDE_NETWORK_COMPONENT}
        IconThemes
        TextWidgets
        XmlGui
        OPTIONAL_COMPONENTS ${OPT_KF5_COMPONENTS}
    )

    macro(ecm_add_executable)
        add_executable(${ARGN})
    endmacro(ecm_add_executable)
    if(CMAKE_COMPILER_IS_GNUCC)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated-declarations")
    endif()
endif()

set(TARGET_SUFFIX ${PC_TARGET_SUFFIX})
add_definitions(-DTARGET_SUFFIX=\"${TARGET_SUFFIX}\")

# figure out which multi-precision library to use
# MPIR is preferred over GMP
find_package(MPIR)
if(MPIR_FOUND)
    set(MP_INCLUDE_DIR ${MPIR_INCLUDE_DIR})
    set(MP_LIBRARIES ${MPIR_LIBRARIES})
    set(MP_HEADER mpirxx.h)
    set(MP_CMAKE_MODULE "MPIR")
    set(PC_LIB mpir)
else()
    find_package(GMP REQUIRED)
    set(MP_INCLUDE_DIR ${GMP_INCLUDE_DIR})
    set(MP_LIBRARIES ${GMP_LIBRARIES})
    set(MP_HEADER gmpxx.h)
    set(MP_CMAKE_MODULE "GMP")
    set(PC_LIB gmp)
endif()

include_directories(${MP_INCLUDE_DIR})

# check for Doxygen (for API documentation)
find_package(Doxygen)
if(DOXYGEN_FOUND)
  set(APIDOC_DIR ${CMAKE_CURRENT_BINARY_DIR}/apidocs)

  make_directory("${APIDOC_DIR}")
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/alkimia.doxygen.in ${CMAKE_CURRENT_BINARY_DIR}/alkimia.doxygen IMMEDIATE)

  add_custom_target(apidoc "${DOXYGEN}" "${CMAKE_CURRENT_BINARY_DIR}/alkimia.doxygen")
endif(DOXYGEN_FOUND)

feature_summary(WHAT ALL)

set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
include_directories(
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_BINARY_DIR}/src
    ${MP_INCLUDE_DIR}
)

add_subdirectory(src)
add_subdirectory(qml)
if(BUILD_APPLETS)
    if(BUILD_QT4)
        add_subdirectory(plasma/applets/onlinequote)
    else()
        add_subdirectory(plasma/applets/ForeignCurrencies)
    endif()
endif()
if (KDE4_BUILD_TESTS OR BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()
if (BUILD_TOOLS)
    add_subdirectory(tools)
endif()

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== autotests/CMakeLists.txt ===
include(ECMAddTests)
set(TEST_LIB
    alkimia
    alkimia-internal
    ${QT_USE_LIBSPREFIX}Test
    ${QT_USE_LIBSPREFIX}Core
    ${QT_USE_LIBSPREFIX}DBus
    ${MP_LIBRARIES}
)

if(BUILD_QT4)
    list(APPEND TEST_LIB ${KDE4_KDECORE_LIBS})
endif()

ecm_add_tests(
    alkonlinequotesourcetest.cpp
    alkvaluetest.cpp
    alkquoteitemtest.cpp
    alkcompanytest.cpp
    alkexceptiontest.cpp
    LINK_LIBRARIES
    alkimia ${TEST_LIB}
)

ecm_add_test(
    alkonlinequotetest.cpp
    ../src/alkquotereceiver.cpp
    LINK_LIBRARIES ${TEST_LIB}
    TEST_NAME alkonlinequotestest
)

ecm_add_test(
    alkdateformattest.cpp
    LINK_LIBRARIES ${TEST_LIB}
    TEST_NAME alkdateformattest
)

=== src/CMakeLists.txt ===
include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
)

########### target alkimia-internal ###########

set(alkimia_INTERNAL_SRCS
    alkdateformat.cpp
    alkexception.cpp
    alkonlinequoteprocess.cpp
    alkquoteitem.cpp
    alkquotereceiver.cpp
)

set(alkimia_INTERNAL_HEADERS
    alkdateformat.h
    alkexception.h
    alkonlinequoteprocess.h
    alkquoteitem.h
    alkquotereceiver.h
)

set(alkimia_INTERNAL_UI
)

ki18n_wrap_ui(alkimia_INTERNAL_SRCS ${alkimia_INTERNAL_UI} )
add_library(alkimia-internal STATIC ${alkimia_INTERNAL_SRCS} ${alkimia_INTERNAL_HEADERS})
if(NOT BUILD_QT4)
    set (ALKIMIA_INTERNAL_LIBS
        PRIVATE
        KF5::CoreAddons
        KF5::NewStuff
    )
endif()
target_link_libraries(alkimia-internal PUBLIC ${QT_USE_LIBSPREFIX}Core ${ALKIMIA_INTERNAL_LIBS})
kde_target_enable_exceptions(alkimia-internal PUBLIC)

########### target alkimia ###########

set(ALKIMIA_LIB_VERSION ${alkimia_VERSION})
set(ALKIMIA_LIB_SOVERSION "${alkimia_VERSION_MAJOR}")

set(alkimia_LIB_SRCS
    alkcompany.cpp
    alkonlinequote.cpp
    alkonlinequotesource.cpp
    alkonlinequotesprofile.cpp
    alkonlinequotesprofilemanager.cpp
    alkonlinequoteswidget.cpp
    alkvalue.cpp
    alkwebpage.cpp
)

set(alkimia_LIB_HEADERS
    alkcompany.h
    alkonlinequote.h
    alkonlinequotesource.h
    alkonlinequotesprofile.h
    alkonlinequotesprofilemanager.h
    alkonlinequoteswidget.h
    alkwebpage.h
)

set(alkimia_LIB_PRIVATE_HEADERS
    alkpushbutton.h
)

if(ENABLE_FINANCEQUOTE)
    list(APPEND alkimia_LIB_SRCS alkfinancequoteprocess.cpp)
    list(APPEND alkimia_LIB_HEADERS alkfinancequoteprocess.h)
endif()

set(alkimia_UI
    alkonlinequoteswidget.ui
)

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/alkversion.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/alkimia/alkversion.h
    IMMEDIATE
)

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/alkvalue.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/alkimia/alkvalue.h
    IMMEDIATE
)

foreach(header ${alkimia_LIB_HEADERS})
    configure_file(
        ${CMAKE_CURRENT_SOURCE_DIR}/${header}
        ${CMAKE_CURRENT_BINARY_DIR}/alkimia/${header}
        COPYONLY
    )
endforeach()

add_definitions(-DKNSRC_DIR="${CMAKE_CURRENT_SOURCE_DIR}")

ki18n_wrap_ui(alkimia_LIB_SRCS ${alkimia_UI} )
add_library(alkimia ${alkimia_LIB_SRCS} ${alkimia_INTERNAL_SRCS} ${alkimia_LIB_HEADERS} ${alkimia_LIB_PRIVATE_HEADERS})

kde_target_enable_exceptions(alkimia PUBLIC)
if(BUILD_QT4)
    set(ALKIMIA_LIBS
        PRIVATE
        ${QT_NETWORK_LIB}
        ${KDE4_KDECORE_LIBS}
        ${KDE4_KDEUI_LIBS}
        ${KDE4_KNEWSTUFF3_LIBS}
        ${KDE_NETWORK_LIBS}
    )
else()
    set(ALKIMIA_LIBS
        PRIVATE
        ${QT5_OPTIONAL_COMPONENTS}
        KF5::Completion
        KF5::I18n
        ${KDE_NETWORK_LIBS}
        KF5::NewStuff
        KF5::IconThemes
        KF5::TextWidgets
    )
endif()

add_definitions(-DTRANSLATION_DOMAIN=\"alkimia\")

target_link_libraries(alkimia
    PRIVATE
    alkimia-internal
    ${QT_USE_LIBSPREFIX}Core
    ${ALKIMIA_LIBS}
    ${QT_USE_LIBSPREFIX}DBus
    PUBLIC
    ${MP_LIBRARIES}
    ${QT_BROWSER_LIB}
)

if(NOT BUILD_QT4 AND MSVC AND BUILD_WITH_WEBKIT)
    message(WARNING "Applying fix for broken Qt WebKit package (see https://phabricator.kde.org/T10146 for details)")
    target_link_libraries(alkimia
        PRIVATE
        ${QT_USE_LIBSPREFIX}Test
    )
endif()

install(
    DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/alkimia
    DESTINATION ${INCLUDE_INSTALL_DIR}/alkimia/${ALKIMIA_INCLUDE_SUFFIX}
    COMPONENT Devel
)

generate_export_header(alkimia BASE_NAME alk EXPORT_FILE_NAME alkimia/alk_export.h)

if(BUILD_SHARED_LIBS)
    if(WIN32)
        set_target_properties(alkimia PROPERTIES SUFFIX "-${ALKIMIA_LIB_SOVERSION}${CMAKE_SHARED_LIBRARY_SUFFIX}")
    else()
        set_target_properties(alkimia PROPERTIES VERSION ${ALKIMIA_LIB_VERSION} SOVERSION ${ALKIMIA_LIB_SOVERSION})
    endif()
endif()
set_target_properties(alkimia PROPERTIES OUTPUT_NAME alkimia${ALKIMIA_LIB_SUFFIX})
set(INCLUDE_INSTALL_DIR include/alkimia/${ALKIMIA_INCLUDE_SUFFIX})

if(BUILD_SHARED_LIBS)
    set(alkimia_export_targets alkimia)
else()
    set(alkimia_export_targets alkimia alkimia-internal)
endif()

install(TARGETS ${alkimia_export_targets}
    EXPORT  alkimiaTargets
    ${INSTALL_TARGETS_DEFAULT_ARGS}
)

if(BUILD_QT4)
    if(WIN32)
        set(KNSRC_INSTALL_DIR ${SHARE_INSTALL_DIR}/config)
    else()
        set(KNSRC_INSTALL_DIR ${SHARE_INSTALL_DIR}/kde4/config)
    endif()
    set(APPDATA_INSTALL_DIR ${SHARE_INSTALL_DIR}/kde4/apps)
    set(FQ_LOCAL_INSTALL_PATH ${CMAKE_BINARY_DIR}/share/apps/alkimia${ALKIMIA_PATH_SUFFIX}/misc)
else()
    if(KF5NewStuff_VERSION VERSION_GREATER "5.56.0")
        set(KNSRC_INSTALL_DIR ${KDE_INSTALL_KNSRCDIR})
    else()
        set(KNSRC_INSTALL_DIR ${CONFIG_INSTALL_DIR})
    endif()
    set(APPDATA_INSTALL_DIR ${SHARE_INSTALL_DIR})
    set(FQ_LOCAL_INSTALL_PATH ${CMAKE_BINARY_DIR}/share/alkimia${ALKIMIA_PATH_SUFFIX}/misc)
endif()

install(FILES
    alkimia-quotes.knsrc
    kmymoney-quotes.knsrc
    skrooge-quotes.knsrc
    DESTINATION ${KNSRC_INSTALL_DIR}
)

# install perl script in expected location of build dir
# KDE4: set KDEHOME to build dir
# KF5: ???
if(ENABLE_FINANCEQUOTE)
    make_directory(${FQ_LOCAL_INSTALL_PATH})
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/financequote.pl ${FQ_LOCAL_INSTALL_PATH}/financequote.pl IMMEDIATE COPYONLY)
    install(PROGRAMS financequote.pl
      DESTINATION ${APPDATA_INSTALL_DIR}/alkimia${ALKIMIA_PATH_SUFFIX}/misc
    )
endif()

if (NOT WIN32)
   configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libalkimia.pc.in ${CMAKE_CURRENT_BINARY_DIR}/libalkimia${ALKIMIA_PATH_SUFFIX}.pc IMMEDIATE @ONLY)
endif(NOT WIN32)

########### create package configuration file ###########

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/LibAlkimia${ALKIMIA_PATH_SUFFIX}-${alkimia_VERSION_MAJOR}.${alkimia_VERSION_MINOR}")

ecm_setup_version(${alkimia_VERSION} VARIABLE_PREFIX ALKIMIA
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/LibAlkimia${ALKIMIA_PATH_SUFFIX}ConfigVersion.cmake"
    COMPATIBILITY SameMajorVersion
)

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/LibAlkimiaConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/LibAlkimia${ALKIMIA_PATH_SUFFIX}Config.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    PATH_VARS INCLUDE_INSTALL_DIR
)

########### install files ###############

export(TARGETS ${alkimia_export_targets}
    FILE "${CMAKE_CURRENT_BINARY_DIR}/LibAlkimia${ALKIMIA_PATH_SUFFIX}Targets.cmake"
    NAMESPACE Alkimia::
)

install(EXPORT alkimiaTargets
    FILE LibAlkimia${ALKIMIA_PATH_SUFFIX}Targets.cmake
    NAMESPACE Alkimia::
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/LibAlkimia${ALKIMIA_PATH_SUFFIX}Config.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/LibAlkimia${ALKIMIA_PATH_SUFFIX}ConfigVersion.cmake"
    "../cmake/modules/Find${MP_CMAKE_MODULE}.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

if (NOT WIN32)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libalkimia${ALKIMIA_PATH_SUFFIX}.pc
        DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
endif(NOT WIN32)

########### documentation ###################

if(DOXYGEN_FOUND)
    set(APIDOC_DIR ${CMAKE_CURRENT_BINARY_DIR}/apidocs)

    make_directory(${APIDOC_DIR})

    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libalkimia.doxygen.in ${CMAKE_CURRENT_BINARY_DIR}/libalkimia.doxygen IMMEDIATE)

    add_custom_target(libalkimia_apidoc ${DOXYGEN} ${CMAKE_CURRENT_BINARY_DIR}/libalkimia.doxygen)
endif(DOXYGEN_FOUND)

=== tests/CMakeLists.txt ===
add_definitions(-DCMAKE_CURRENT_SOURCE_DIR="${CMAKE_CURRENT_SOURCE_DIR}")
set(TEST_LIB
    alkimia
    alkimia-internal
    ${QT_USE_LIBSPREFIX}Core
    ${QT_BROWSER_LIB}
)

if(BUILD_QT4)
    list(APPEND TEST_LIB
        ${QT_USE_LIBSPREFIX}Declarative
        ${KDE4_KDECORE_LIBS}
    )
else()
    list(APPEND TEST_LIB
        ${QT_USE_LIBSPREFIX}Qml
     )
endif()
add_executable(qmlalkonlinequotetest
    qmlalkonlinequotetest.cpp
)
target_link_libraries(qmlalkonlinequotetest ${TEST_LIB})

add_executable(alkonlinequoteswidgettest
    alkonlinequoteswidgettest.cpp
)
target_link_libraries(alkonlinequoteswidgettest ${TEST_LIB})

=== tools/CMakeLists.txt ===
add_subdirectory(onlinequoteseditor)

=== tools/onlinequoteseditor/CMakeLists.txt ===
add_subdirectory(icons)

include_directories(
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_BINARY_DIR}/src
)

set(SOURCES
    applicationsettings.cpp
    main.cpp
    mainwindow.cpp
)

set(HEADERS
    applicationsettings.h
    mainwindow.h
)

set(UI
    mainwindow.ui
)

ki18n_wrap_ui(SOURCES ${UI} )

ecm_add_app_icon(SOURCES
    ICONS
    icons/16-apps-onlinequoteseditor5.png
    icons/22-apps-onlinequoteseditor5.png
    icons/32-apps-onlinequoteseditor5.png
    icons/48-apps-onlinequoteseditor5.png
    icons/64-apps-onlinequoteseditor5.png
    icons/128-apps-onlinequoteseditor5.png
)

ecm_add_executable(onlinequoteseditor ${SOURCES} ${HEADERS})
if(BUILD_QT4)
    set(LIBS
        ${KDE4_KDECORE_LIBS}
        ${KDE4_KDEUI_LIBS}
        ${QT_USE_LIBSPREFIX}Core
    )
else()
    set(LIBS
        Qt5::Widgets
        ${QT_BROWSER_LIB}
        KF5::CoreAddons
        KF5::I18n
        KF5::XmlGui
    )
    add_definitions(-DTRANSLATION_DOMAIN=\"onlinequoteseditor\")
endif()

target_link_libraries(onlinequoteseditor
    alkimia
    alkimia-internal
    ${LIBS}
)
set_target_properties(onlinequoteseditor PROPERTIES OUTPUT_NAME onlinequoteseditor${TARGET_SUFFIX})

install(TARGETS onlinequoteseditor ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

configure_file(org.kde.onlinequoteseditor.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.onlinequoteseditor${TARGET_SUFFIX}.desktop)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.onlinequoteseditor${TARGET_SUFFIX}.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

configure_file(org.kde.onlinequoteseditor.appdata.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.onlinequoteseditor${TARGET_SUFFIX}.appdata.xml)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.onlinequoteseditor${TARGET_SUFFIX}.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

if(APPSTREAMCLI)
    add_test(
        NAME appstreamtest
        COMMAND ${APPSTREAMCLI} validate ${CMAKE_CURRENT_BINARY_DIR}/org.kde.onlinequoteseditor${TARGET_SUFFIX}.appdata.xml
    )
else()
    message(STATUS "Could not set up the appstream test. appstreamcli is missing.")
endif()

=== plasma/applets/onlinequote/CMakeLists.txt ===
# We add our source code here
set(SOURCES plasma-onlinequote.cpp)

set(UI configwidget.ui)

ki18n_wrap_ui(SOURCES ${UI})

# Now make sure all files get to the right place
kde4_add_plugin(plasma_applet_onlinequote ${SOURCES})
target_link_libraries(plasma_applet_onlinequote
    alkimia
)
if(BUILD_QT4)
    target_link_libraries(plasma_applet_onlinequote
        ${KDE4_PLASMA_LIBS}
        ${KDE4_KDEUI_LIBS}
    )
    set(PLUGIN_INSTALL_DIR "${LIB_INSTALL_DIR}/kde4")
    set(SERVICES_INSTALL_DIR "${SHARE_INSTALL_DIR}/kde4/services")
else()
    target_link_libraries(plasma_applet_onlinequote
        KF5::Package
        KF5::Plasma
    )
    add_definitions(-DTRANSLATION_DOMAIN=\"plasma_applet_onlinequote\")
endif()

install(TARGETS plasma_applet_onlinequote
        DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasma-applet-onlinequote.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
alkimia (8.1.1-2) unstable; urgency=medium

  * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 21 Nov 2022 13:38:34 +0100

alkimia (8.1.1-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (8.1.1).
  * Remove inactive Uploaders, adding myself as one to avoid leaving the
    source with no human maintainers.
  * Update alkimia-bin install file.
  * Update symbols for 8.1.1.
  * Remove not needed shlibs:Depdens.

 -- Sandro Knauß <hefee@debian.org>  Thu, 10 Nov 2022 10:10:44 +0100

alkimia (8.1.0-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Mark xauth,xvfb only needed for test mode.
  * Bump Standards-Version to 4.6.1.
  * Make tests not failing the build, as we have an online test, that
    may fail.

 -- Sandro Knauß <hefee@debian.org>  Thu, 10 Nov 2022 09:23:55 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Mark Purcell <msp@debian.org>
+Uploaders: Sandro Knauß <hefee@debian.org>
 Build-Depends: cmake (>= 3.0.2~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 0.0.11~),
@@ -18,14 +18,14 @@
                libkf5plasma-dev,
                libkf5textwidgets-dev,
                libkf5xmlgui-dev,
+               libqt5webkit5-dev,
                pkg-config,
                pkg-kde-tools (>= 0.5.0),
                qtbase5-dev,
                qtdeclarative5-dev,
-               libqt5webkit5-dev,
-               xauth,
-               xvfb
-Standards-Version: 4.6.0
+               xauth <!nocheck>,
+               xvfb <!nocheck>
+Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/office/alkimia
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/alkimia
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/alkimia.git
@@ -44,7 +44,7 @@
 Package: alkimia-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}
 Description: Financial library - data files
  Libalkimia is a library with common classes and functionality used by
  finance applications for KDE. Currently it supports a common
@@ -85,8 +85,7 @@
          qml-module-qtquick-controls,
          qml-module-qtquick-dialogs,
          qml-module-qtquick-layouts,
-         ${misc:Depends},
-         ${shlibs:Depends}
+         ${misc:Depends}
 Description: Financial library - Currency Plasmoid
  Libalkimia is a library with common classes and functionality used by
  finance applications for KDE. Currently it supports a common

=== debian/rules ===
--- 
+++ 
@@ -11,4 +11,4 @@
 	dh_auto_configure -- -DCMAKE_DISABLE_FIND_PACKAGE_MPIR=OFF
 
 override_dh_auto_test:
-	xvfb-run dh_auto_test --no-parallel
+	- xvfb-run dh_auto_test --no-parallel
